Skip to main content
POST
/
v1
/
profile
/
security
/
2fa
/
enable
Enable 2FA
curl --request POST \
  --url https://api.example.com/v1/profile/security/2fa/enable \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>",
  "phone": "<string>"
}
'
import requests

url = "https://api.example.com/v1/profile/security/2fa/enable"

payload = {
"code": "<string>",
"phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', phone: '<string>'})
};

fetch('https://api.example.com/v1/profile/security/2fa/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "backup_codes": [
    "12345678",
    "87654321"
  ],
  "recovery_key": "ABCD-EFGH-IJKL-MNOP"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
method
enum<string>
required

2FA method to enable

Available options:
app,
sms,
email
code
string
required

Verification code

phone
string

Phone number for SMS method

Response

200 - application/json

2FA enabled successfully

backup_codes
string[]

One-time use backup codes

recovery_key
string

Recovery key for account access